commit:     11a9518e3096d060d6a2b966663811c1b112db96
Author:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
AuthorDate: Wed May  7 15:43:19 2025 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Wed May  7 15:51:04 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=11a9518e

app-shells/fzf: Version bump to 0.62.0

Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 app-shells/fzf/Manifest          |  2 ++
 app-shells/fzf/fzf-0.62.0.ebuild | 71 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 73 insertions(+)

diff --git a/app-shells/fzf/Manifest b/app-shells/fzf/Manifest
index d849749de784..bfcb43a05b09 100644
--- a/app-shells/fzf/Manifest
+++ b/app-shells/fzf/Manifest
@@ -8,3 +8,5 @@ DIST fzf-0.60.3-deps.tar.xz 5910228 BLAKE2B 
ee8085868748a4edc66bf0ce7fcd056eb482
 DIST fzf-0.60.3.tar.gz 328951 BLAKE2B 
36e80b027ccbe1c6f0d3d36dc3cabb449a006c1d45eeae757592ed0f84c761ab06514fd020602ca3c1c572dfdea5205814b26c12edf10590aaf2cd902cf9e0ca
 SHA512 
da34038bd9df735ba43ed834e593188b7242a46f9c7f9e1b5a7818f030eb97a6052c2a0a8161bccf1dbb918c4f891ac29d232c2bcb55f73f2c1dd1e86367463b
 DIST fzf-0.61.0-deps.tar.xz 5906864 BLAKE2B 
5d6e2db6f2234bcc0b7a8d4f2af3a48cae78620c0ab3a876b8d65119e3773fcb14266773573fab4ed0a8a405b0c75ecc427867fe8148d9650974d48ec80818c9
 SHA512 
6976447df5f99542f74d6d9734a2db365adbc04a35c76eebe660feca772b5c647fcecc83804cace37f2ee54d1512f6e7241c33c9124c751effe6ee7c7c3ded2e
 DIST fzf-0.61.0.tar.gz 330880 BLAKE2B 
b3f426d827ef30d1ebc26349c97c54da079203c52928c914b51b4cccae5d2555e76611f6295d219b74a6f5f0a64fd743d5adfe213139facee918a857704964c0
 SHA512 
83c9fee7f4bdffee04847ac6ed079f58506b0f740388deed9f3082ca67e5db672d03c1a17dfec25489c8390f36d9545b589c522585b3d5bb7cc9288a91f546c6
+DIST fzf-0.62.0-deps.tar.xz 5914452 BLAKE2B 
568a02565359aad6c784a2614d96b0456fc783f534fcb356d2cd3d75be56265400857640c4871b9ef9ca7d6d511e2da9d182ac9b2bf72648a01f79e0961b6c6f
 SHA512 
e4ff6213b8673696f72c2078823df92c6b562ad603ed7749670b91e03a59938664393081d33a56170ba3953f02eaa54aa6508b2411e93e529bdb1ea26842bcb4
+DIST fzf-0.62.0.tar.gz 333078 BLAKE2B 
333e94c6c40a3098144070bda96a29f102b4a37dac987bfe61b3f4a1c863806184bbc463036e5ca9ea766842c54b20afda50ee7b4457c77daa28eddbb703d4ca
 SHA512 
e0246a9caac7bc99e6b7596f79bd6c091b55da3843a0ca22cfa7984c0eba2e42430037f4c0f58b99f29a82c91ca36aa8bfd8315e6814b076adb21fe6d40e0a3f

diff --git a/app-shells/fzf/fzf-0.62.0.ebuild b/app-shells/fzf/fzf-0.62.0.ebuild
new file mode 100644
index 000000000000..4ef08ce6728e
--- /dev/null
+++ b/app-shells/fzf/fzf-0.62.0.ebuild
@@ -0,0 +1,71 @@
+# Copyright 2019-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit go-module shell-completion
+
+DESCRIPTION="General-purpose command-line fuzzy finder, written in Golang"
+HOMEPAGE="https://github.com/junegunn/fzf";
+
+# For fancy versioning only. Bump on the next release!
+# MY_GIT_REV is the first 7 characters of release commit, we truncate it
+# after to make it easier to copy/paste.
+MY_GIT_REV=e15cba0c8c7c9dd3388d260cf5b5de7fc044dfbc
+MY_GIT_REV=${MY_GIT_REV:0:7}
+
+SRC_URI="https://github.com/junegunn/${PN}/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+SRC_URI+=" https://dev.gentoo.org/~mattst88/distfiles/${P}-deps.tar.xz";
+
+LICENSE="MIT BSD-with-disclosure"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
+
+src_prepare() {
+       default
+       sed -i 's/-s -w //' Makefile || die # bug #795225
+}
+
+src_compile() {
+       emake PREFIX="${EPREFIX}"/usr VERSION=${PV} REVISION=${MY_GIT_REV} 
bin/${PN}
+}
+
+src_install() {
+       dobin bin/${PN}
+       doman man/man1/${PN}.1
+
+       dobin bin/${PN}-tmux
+       doman man/man1/${PN}-tmux.1
+
+       insinto /usr/share/vim/vimfiles/plugin
+       doins plugin/${PN}.vim
+
+       insinto /usr/share/nvim/runtime/plugin
+       doins plugin/${PN}.vim
+
+       newbashcomp shell/completion.bash ${PN}
+
+       newzshcomp shell/completion.zsh _${PN}
+
+       insinto /usr/share/fzf
+       doins shell/key-bindings.bash
+       doins shell/key-bindings.fish
+       doins shell/key-bindings.zsh
+}
+
+pkg_postinst() {
+       if [[ -z ${REPLACING_VERSIONS} ]]; then
+               elog "To add fzf support to your shell, make sure to use the 
right file"
+               elog "from ${EROOT}/usr/share/fzf."
+               elog
+               elog "For bash, add the following line to ~/.bashrc:"
+               elog
+               elog "  # source 
${EROOT}/usr/share/bash-completion/completions/fzf"
+               elog "  # source ${EROOT}/usr/share/fzf/key-bindings.bash"
+               elog
+               elog "Plugins for Vim and Neovim are installed to respective 
directories"
+               elog "and will work out of the box."
+               elog
+               elog "For fzf support in tmux see fzf-tmux(1)."
+       fi
+}

Reply via email to